
var imageElements = function() {
    var imageNodes = document.getElementsByTagName('img');
    return [].slice.call(imageNodes);
};

var findCIDImageURL = function() {
    var images = imageElements();

    var imgLinks = [];
    for (var i = 0; i < images.length; i++) {
        var url = images[i].getAttribute('src');
        if (url != null && url.indexOf('cid:') == 0)
            imgLinks.push(url);
    }
    var jsonResult = JSON.stringify(imgLinks);
    InlineBridge.inlineAttachmentDetected(jsonResult);
};
/**
 * {"cid":"123123asdfasdf","localFilePath":"/data0/www/dev/img/aaa.png"}
 */
var replaceImageSrc = function(info) {
    var images = imageElements();

    for (var i = 0; i < images.length; i++) {
        var url = images[i].getAttribute('src');
        if (url != null && url.indexOf(info.cid) >= 0) {
            /* 因为 InlineImageJSJavaBridge 在替换 cid 时会将前缀去掉，所以这里要加上保存到 originSrc */
            images[i].setAttribute('originsrc', url);
            images[i].setAttribute('src', info.localFilePath);

//            Debug 时按需放开
//            var afterSrc = images[i].getAttribute('src')
//            var afterOriginSrc = images[i].getAttribute('originsrc')
//            console.log('replaceImageSrc complete src = ' + afterSrc + ' originsrc = ' + afterOriginSrc);
            break;
        }
    }
};



var restoreImageSrc = function() {
    var images = imageElements();

    for (var i = 0; i < images.length; i++) {
        var url = images[i].getAttribute('originsrc');
        if (url && url.length > 0) {
            images[i].setAttribute('src',url);
            images[i].removeAttribute('originsrc');
        }
    }
};